from django.dispatch import Signal

# providing_args=['instance', 'field', 'old']
field_changed = Signal()

# Send this signal only when an object's "is_active" state has been toggled
# providing_args=['instance', 'active', 'created']
status_changed = Signal()

# providing_args=['instance', 'old_policy', 'created']
policy_changed = Signal()

__all__ = (
    'field_changed',
    'status_changed',
    'policy_changed',
)
